import Vue from 'vue'
import iView from 'iview'
import vCom from './components'
import lodash from 'lodash'
import mathHelper from './utils/mathHelper'
import pinyin from './utils/pinyin'
import uuid from './utils/uuid'
import 'iview/dist/styles/iview.css'

Vue.use(iView)
Vue.use(vCom)

// 公共组件
Vue.prototype.$_ = lodash
Vue.prototype.$mathHelper = mathHelper
Vue.prototype.$pinyin = pinyin
Vue.prototype.$uuid = uuid

const vueBase = function(config) {
  if (config.prototypes) {
    // 绑定自定义js插件
    Object.keys(config.prototypes).forEach(function(key) {
      Vue.prototype[key] = config.prototypes[key]
    })
  }
  if (config.useList) {
    Object.keys(config.useList).forEach(function(key) {
      Vue.use(config.useList[key])
    })
  }
  window.vue = new Vue(config)
}

export default vueBase
