import axios from 'axios'
// import qs from 'qs'
import { Message } from 'iview'
// import {getToken, clearAuth} from '@/common/store/authStore'
// const {baseURL, timeout} = config

let getHttp = function (conf) {
  if (!!conf) { return null }
  // 添加请求拦截器
  axios.interceptors.request.use(function (config) {
    config.baseURL = conf.baseURL
    // config.headers.common['Authorization'] = getToken()
    return config
  }, function (error) {
    return Promise.reject(error)
  })

  axios.defaults.timeout = conf.timeout
  // 添加 axios 实例响应拦截器
  axios.interceptors.response.use(function (response) {
    if (response.data.status && response.data.status !== 1) {
      Message.error(response.data.msg)
    }
    return response
  }, function (error) {
    if (error.response.status === 500) {
      Message.error('服务器错误')
    } else if (error.response.status === 401) {
      Message.error('登录信息失效')
      window.vue.$router.push('/login')
    } else {
      if (error.response.data.error === 'invalid_grant') {
        Message.error('用户名或密码错误！')
      } else {
        Message.error(`网络错误:${error.response.status}`)
      }
    }
    return Promise.reject(error)
  })

  return {
    get: (url, call) => {
      axios.get(url).then(function (res) {
        if (res.status === 200 && call) {
          call(res.data)
        }
      }).catch(function (err) {
        console.log(err)
        call(err)
      })
    },
    post: (url, data, call) => {
      axios.post(url, data).then(function (res) {
        if (res.status === 200 && call) {
          call(res.data)
        }
      }).catch(function (err) {
        console.log(err)
        call(err)
      })
    },
    axios
  }
}

export default getHttp
